diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
index c94525a..39f36f5 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/__init__.py
@@ -523,12 +523,10 @@ AND relkind != 'c'))"""
                                             'get_oid.sql']),
                                   basensp=data['basensp'],
                                   name=data['name'])
-            status, res = self.conn.execute_2darray(SQL)
+            status, doid = self.conn.execute_scalar(SQL)
             if not status:
                 return internal_server_error(errormsg=res)
 
-            doid, scid = res['rows'][0]
-
             return jsonify(
                 node=self.blueprint.generate_browser_node(
                     doid,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/get_oid.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/get_oid.sql
index 8b5c891..d854bc4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/get_oid.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.1_plus/get_oid.sql
@@ -7,7 +7,7 @@ WHERE
     d.oid={{ doid }}::oid;
 {% else %}
 SELECT
-    d.oid, d.typnamespace
+    d.oid
 FROM
     pg_type d
 JOIN
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/get_oid.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/get_oid.sql
index 8b5c891..d854bc4 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/get_oid.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/domains/templates/domains/sql/9.2_plus/get_oid.sql
@@ -7,7 +7,7 @@ WHERE
     d.oid={{ doid }}::oid;
 {% else %}
 SELECT
-    d.oid, d.typnamespace
+    d.oid
 FROM
     pg_type d
 JOIN
